# fn:seconds-from-duration

fn:seconds-from-duration( dayTimeDuration? $srcval) → decimal?

Function signature

$srcval | xdt:dayTimeDuration ?
Result | xs:integer ?

Extracts the seconds component of a dayTimeDuration value

XPath 2.0 Specification

Implemented. Return type should be decimal, not integer.

Note:The old names get-seconds-from-dayTimeDuration and seconds-from-dayTimeDuration are retained as a synonym

Expand | Up Next